Subject: Re: bug#21804: 25.0.50; file-notify-tests failure on Cygwin

From: Ken Brown <[email-masked]>
Date: Tue, 27 Dec 2016 11:28:56 -0500

Hi Michael,

On 12/27/2016 7:06 AM, Michael Albinus wrote:
> Well, gfilenotify uses a native library like inotify or kqueue when
> available. If not, it does polling.
>
> I guess the latter happens in the cygwin case. Maybe we need to
> determine the polling interval, and to set
> file-notify--test-read-event-timeout larger than that. Will check,
> whether information this could be retrieved from gfilenotify.

That would be helpful.

> I see. I will check further, whether I could modify Fgfile_add_watch
> such a way that it returns only when it is able to create events.

And that.

> LGTM, please install.

Done.

> I would also like to modify the expensive tests accordingly. Do you know
> where I could retrieve a compiled Emacs 26 for cygwin?

I've just built one and put it on my private Cygwin repository at

   http://sanibeltranquility.com/cygwin/index.html

There are instructions at that site.  Let me know if anything is unclear.

Best regards,

Ken